import * as yargs from 'yargs';
import { PackageManager } from '../utils/package-manager';
import { NxCloud } from '../utils/nx/nx-cloud';
export declare function determineNxCloud(parsedArgs: yargs.Arguments<{
    nxCloud: NxCloud;
}>): Promise<NxCloud>;
export declare function determineDefaultBase(parsedArgs: yargs.Arguments<{
    defaultBase?: string;
}>): Promise<string>;
export declare function determinePackageManager(parsedArgs: yargs.Arguments<{
    packageManager: string;
}>): Promise<PackageManager>;
